Bug 29092 - Table settings for account_fines table is missing Updated on column and hides the wrong things
Summary: Table settings for account_fines table is missing Updated on column and hides...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Emmi Takkinen
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-23 11:55 UTC by Andrew Fuerste-Henry
Modified: 2022-06-17 03:21 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.06


Attachments
Bug 29092: Add timestamp to account-fines table column settings (2.33 KB, patch)
2022-04-21 06:29 UTC, Emmi Takkinen
Details | Diff | Splinter Review
Bug 29092: Add timestamp to account-fines table column settings (2.40 KB, patch)
2022-04-22 12:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29092: Add timestamp to account-fines table column settings (2.45 KB, patch)
2022-04-25 11:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-09-23 11:55:33 UTC
Table settings for the account_fines table (in the Patrons section, the "Transactions" table in a patron account) are missing a checkbox for the "Updated On" column. Because of this, one cannot hide the Updated On column and any other values one sets here get applied to the wrong columns.
Comment 1 Emmi Takkinen 2022-04-21 06:29:19 UTC
Created attachment 133520 [details] [review]
Bug 29092: Add timestamp to account-fines table column settings

Table settings for the account_fines table (in the Patrons
section, the "Transactions" table in a patron account) are
missing a checkbox for the "Updated On" column. Because
of this, one cannot hide the Updated On column and any
other values one sets here get applied to the wrong
columns.

This patch adds timestamp to account-fines column settings.
To test:

1) Navigate to columns settings page and modify
account-fines tables column.
=> Note that if you hide e.g. account_type column, column
credit_number is hidden on patrons account page
2) Apply patch and update database.
=> Account-fines column settings has now a option to hide
timestamp.
=> Correct columns should now be hidden.

Sponsored-by: Koha-Suomi Oy
Comment 2 Owen Leonard 2022-04-22 12:08:25 UTC
Created attachment 133670 [details] [review]
Bug 29092: Add timestamp to account-fines table column settings

Table settings for the account_fines table (in the Patrons section, the
"Transactions" table in a patron account) are missing a checkbox for the
"Updated On" column. Because of this, one cannot hide the Updated On
column and any other values one sets here get applied to the wrong
columns.

This patch adds timestamp to account-fines column settings.
To test:

1) Navigate to columns settings page and modify account-fines tables
   column.
   => Note that if you hide e.g. account_type column, column
   credit_number is hidden on patrons account page
2) Apply patch and update database.
   => Account-fines column settings has now a option to hide timestamp.
   => Correct columns should now be hidden.

Sponsored-by: Koha-Suomi Oy
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2022-04-25 11:42:24 UTC
Created attachment 133750 [details] [review]
Bug 29092: Add timestamp to account-fines table column settings

Table settings for the account_fines table (in the Patrons section, the
"Transactions" table in a patron account) are missing a checkbox for the
"Updated On" column. Because of this, one cannot hide the Updated On
column and any other values one sets here get applied to the wrong
columns.

This patch adds timestamp to account-fines column settings.
To test:

1) Navigate to columns settings page and modify account-fines tables
   column.
   => Note that if you hide e.g. account_type column, column
   credit_number is hidden on patrons account page
2) Apply patch and update database.
   => Account-fines column settings has now a option to hide timestamp.
   => Correct columns should now be hidden.

Sponsored-by: Koha-Suomi Oy
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Fridolin Somers 2022-04-27 21:22:33 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Victor Grousset/tuxayo 2022-06-17 03:20:38 UTC
Note: Backported: Pushed to 21.11.x branch for 21.11.06
Comment 6 Victor Grousset/tuxayo 2022-06-17 03:21:12 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.